--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying,
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40)
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: release_orchestrator_data; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_orchestrator_data (
    id integer NOT NULL,
    release_id integer NOT NULL,
    repo_metadata text NOT NULL,
    puppet_manifests_source text NOT NULL,
    puppet_modules_source text NOT NULL
);


ALTER TABLE public.release_orchestrator_data OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_orchestrator_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_orchestrator_data_id_seq OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_orchestrator_data_id_seq OWNED BY release_orchestrator_data.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data ALTER COLUMN id SET DEFAULT nextval('release_orchestrator_data_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
1a1504d469f8
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
3	3	{"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}, {"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "ephemeral_ceph": {"description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "images_ceph": {"description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "common": {"auto_assign_floating_ip": {"description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "conflicts": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vlan_splinters": {"vswitch": {"type": "radio", "values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "value": "disabled", "weight": 55, "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "toggleable": true, "weight": 50, "label": "VLAN Splinters"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "2EfwJOuo"}, "keystone": {"admin_password": "GJYX2WUu"}, "database": {"passwd": "qWEPZKdR"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "dr8ss7EK", "user_password": "9Ok5VupN", "metering_secret": "EtMU7Ha9"}, "murano": {"db_password": "JWUnXmry", "user_password": "fKts2KB0", "rabbit_password": "hHHL3Z8M"}, "nova": {"db_password": "bGndypaL", "user_password": "cWTpmyfE", "state_path": "/var/lib/nova"}, "heat": {"db_password": "IeZLlBHA", "user_password": "affvAl6N", "rabbit_password": "AbipyaG3"}, "sahara": {"db_password": "y35N9Cbq", "user_password": "XJgUvCwS"}, "rabbit": {"password": "nestugrA"}, "mysql": {"root_password": "goGWF82w"}, "keystone": {"db_password": "NARCCskP", "admin_token": "FwpNZDI3"}, "cobbler": {"profile": "centos-x86_64"}, "cinder": {"db_password": "nyd1oGWu", "user_password": "gXM1T7h6"}, "swift": {"user_password": "5vOb1vF8"}, "glance": {"db_password": "SQYxKgDS", "user_password": "p4wnfzhw"}}
4	4	{"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}, {"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "ephemeral_ceph": {"description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "images_ceph": {"description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": true, "label": "Ceph RBD for images (Glance)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "common": {"auto_assign_floating_ip": {"description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "conflicts": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vlan_splinters": {"vswitch": {"type": "radio", "values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "value": "disabled", "weight": 55, "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "toggleable": true, "weight": 50, "label": "VLAN Splinters"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "I8HoFH4t"}, "keystone": {"admin_password": "tdewekbK"}, "database": {"passwd": "WVCW5bRm"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "q1YotkyJ", "user_password": "xgQ08ET9", "metering_secret": "sDtpujXz"}, "murano": {"db_password": "38yT3s1N", "user_password": "G0D4tBHG", "rabbit_password": "naSgNZuL"}, "nova": {"db_password": "KlT42Y6y", "user_password": "WPjscQYf", "state_path": "/var/lib/nova"}, "heat": {"db_password": "qM3VK0ST", "user_password": "Rpk23tGa", "rabbit_password": "UurDgurk"}, "sahara": {"db_password": "erjrewUk", "user_password": "913C0A4t"}, "rabbit": {"password": "MXnVSbfq"}, "mysql": {"root_password": "OPRzkjUt"}, "keystone": {"db_password": "uNiWTQug", "admin_token": "jGsoc6Pk"}, "cobbler": {"profile": "centos-x86_64"}, "cinder": {"db_password": "8ia4CZTW", "user_password": "KfkihRLb"}, "swift": {"user_password": "CcueFUuy"}, "glance": {"db_password": "dC3XJO2m", "user_password": "RcfEZNxW"}}
5	5	{"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": true, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}, {"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "ephemeral_ceph": {"description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "images_ceph": {"description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "common": {"auto_assign_floating_ip": {"description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "conflicts": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vlan_splinters": {"vswitch": {"type": "radio", "values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "value": "disabled", "weight": 55, "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "toggleable": true, "weight": 50, "label": "VLAN Splinters"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "UVN4Gt1B"}, "keystone": {"admin_password": "F2AmaKGg"}, "database": {"passwd": "dpe3rpSf"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "I36QwJBA", "user_password": "LIqOrkkw", "metering_secret": "04UUV8F6"}, "murano": {"db_password": "TfbgNPR7", "user_password": "Tmj4gbnV", "rabbit_password": "8iYkfdj1"}, "nova": {"db_password": "JlkjybqM", "user_password": "ztu71iqZ", "state_path": "/var/lib/nova"}, "heat": {"db_password": "I5ZODDe0", "user_password": "K57JrcZh", "rabbit_password": "y7wo80HQ"}, "sahara": {"db_password": "1ATZOZLQ", "user_password": "QltgT78R"}, "rabbit": {"password": "QLpJWw9p"}, "mysql": {"root_password": "mPXa9zOd"}, "keystone": {"db_password": "rFgn3rM7", "admin_token": "fgm2RpG9"}, "cobbler": {"profile": "centos-x86_64"}, "cinder": {"db_password": "pHMMoJWC", "user_password": "KfJHfEIs"}, "swift": {"user_password": "QqTKcoKn"}, "glance": {"db_password": "TBs5UUvJ", "user_password": "xzMUOMaU"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 5, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
29	5	\N	attributes
30	5	\N	networks
31	5	16	disks
32	5	17	disks
33	5	18	disks
34	4	\N	attributes
35	4	\N	networks
36	4	11	disks
37	4	12	disks
38	4	13	disks
39	4	14	disks
40	4	15	disks
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 40, true);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, grouping, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version) FROM stdin;
3	multinode	operational	nova_network	roles	test_centos_verify_networks	1	{}	{}	f	5.0
5	multinode	new	nova_network	roles	test_centos_simple_vlan_untag_ceilometer_reset	1	{}	{}	f	5.0
4	multinode	new	neutron	roles	test_centos_simple_vlanseg_untag_ceph_stopprov	1	{}	{}	f	5.0
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 5, true);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
26	10	172.16.0.2	172.16.0.127
28	11	192.168.0.2	192.168.0.254
30	12	192.168.1.2	192.168.1.254
34	14	172.16.0.2	172.16.0.126
36	15	192.168.0.2	192.168.0.254
38	16	192.168.1.2	192.168.1.254
52	18	172.16.0.2	172.16.0.127
54	19	192.168.0.2	192.168.0.254
56	20	192.168.1.2	192.168.1.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 56, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.20.0.2
34	1	9	10.20.0.6
35	1	10	10.20.0.7
36	11	9	192.168.0.4
37	11	10	192.168.0.5
38	10	9	172.16.0.5
39	10	10	172.16.0.6
40	12	9	192.168.1.4
41	12	10	192.168.1.5
42	1	11	10.20.0.8
43	1	12	10.20.0.9
44	1	13	10.20.0.10
45	1	14	10.20.0.11
46	1	15	10.20.0.12
47	15	11	192.168.0.6
48	15	12	192.168.0.7
49	15	13	192.168.0.8
50	15	14	192.168.0.9
51	15	15	192.168.0.10
52	14	11	172.16.0.7
53	14	12	172.16.0.8
54	14	13	172.16.0.9
55	14	14	172.16.0.10
56	14	15	172.16.0.11
57	16	11	192.168.1.6
58	16	12	192.168.1.7
59	16	13	192.168.1.8
60	16	14	192.168.1.9
61	16	15	192.168.1.10
62	1	16	10.20.0.3
63	1	17	10.20.0.4
64	1	18	10.20.0.5
65	19	16	192.168.0.2
66	19	17	192.168.0.3
67	19	18	192.168.0.11
68	18	16	172.16.0.2
69	18	17	172.16.0.3
70	18	18	172.16.0.4
71	20	16	192.168.1.2
72	20	17	192.168.1.3
73	20	18	192.168.1.11
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 73, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
126	1	52
127	1	44
128	1	60
129	14	51
130	1	48
131	14	59
132	14	47
133	1	56
134	17	58
135	17	50
136	16	50
137	17	46
138	16	58
139	14	55
140	16	46
141	15	49
142	15	57
143	14	43
144	15	45
145	17	54
146	17	42
147	16	42
148	16	54
149	15	41
150	15	53
91	1	36
92	13	36
93	11	36
94	12	36
95	10	35
96	1	40
97	13	40
98	11	40
99	12	40
100	10	39
181	1	68
182	1	64
183	18	67
184	18	63
185	20	62
186	1	72
187	20	66
188	18	71
189	19	61
190	19	65
191	21	61
192	21	65
193	20	70
194	19	69
195	21	69
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 195, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, vlan_start, cidr, gateway, meta) FROM stdin;
1	fuelweb_admin	\N	\N	\N	10.20.0.0/24	\N	{"notation": "cidr", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": false, "render_addr_mask": null, "map_priority": 0}
13	fixed	1	3	\N	\N	\N	{"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}
17	private	1	4	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}
10	public	1	3	4091	172.16.0.0/24	172.16.0.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}
14	public	1	4	\N	172.16.0.0/24	172.16.0.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}
11	management	1	3	4092	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
12	storage	1	3	4093	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
20	storage	1	5	\N	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
15	management	1	4	\N	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
21	fixed	1	5	\N	\N	\N	{"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}
16	storage	1	4	\N	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
18	public	1	5	\N	172.16.0.0/24	172.16.0.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}
19	management	1	5	\N	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 21, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges) FROM stdin;
3	nova_network_config	3	["8.8.4.4", "8.8.8.8"]	[["172.16.0.128", "172.16.0.254"]]
4	neutron_config	4	["8.8.4.4", "8.8.8.8"]	[["172.16.0.130", "172.16.0.254"]]
5	nova_network_config	5	["8.8.4.4", "8.8.8.8"]	[["172.16.0.128", "172.16.0.254"]]
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 5, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
4	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	vlan	ovs
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
9	9	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa6a2e09d-a4ac95dc", "disk/by-id/ata-VBOX_HARDDISK_VBa6a2e09d-a4ac95dc"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2f5a9ea9-3170b0b3", "disk/by-id/ata-VBOX_HARDDISK_VB2f5a9ea9-3170b0b3"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB94d554f9-b3ad6729", "disk/by-id/ata-VBOX_HARDDISK_VB94d554f9-b3ad6729"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 175347}], "type": "vg", "id": "image"}]	{}
10	10	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB33fd2567-596fb0af", "disk/by-id/ata-VBOX_HARDDISK_VB33fd2567-596fb0af"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 45597}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBeae401a5-331516b4", "disk/by-id/ata-VBOX_HARDDISK_VBeae401a5-331516b4"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB044b845f-5ebec28a", "disk/by-id/ata-VBOX_HARDDISK_VB044b845f-5ebec28a"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 175347}], "type": "vg", "id": "vm"}]	{}
12	12	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB4c35a584-c028e174", "disk/by-id/ata-VBOX_HARDDISK_VB4c35a584-c028e174"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB11ce9df3-4162deb5", "disk/by-id/ata-VBOX_HARDDISK_VB11ce9df3-4162deb5"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf7ab1e3e-f64c4df3", "disk/by-id/ata-VBOX_HARDDISK_VBf7ab1e3e-f64c4df3"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 175347}], "type": "vg", "id": "vm"}]	{}
14	14	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBc75b89e1-e017244b", "disk/by-id/ata-VBOX_HARDDISK_VBc75b89e1-e017244b"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2ba1ff44-eb309287", "disk/by-id/ata-VBOX_HARDDISK_VB2ba1ff44-eb309287"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB7f47534d-1770e6bc", "disk/by-id/ata-VBOX_HARDDISK_VB7f47534d-1770e6bc"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}]	{}
15	15	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB98821421-ba6f532d", "disk/by-id/ata-VBOX_HARDDISK_VB98821421-ba6f532d"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0e26f903-c0894322", "disk/by-id/ata-VBOX_HARDDISK_VB0e26f903-c0894322"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1616e8ff-39db0e37", "disk/by-id/ata-VBOX_HARDDISK_VB1616e8ff-39db0e37"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}]	{}
11	11	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa3e6df3b-b1f26a7f", "disk/by-id/ata-VBOX_HARDDISK_VBa3e6df3b-b1f26a7f"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB7ec09dfa-27e3ab44", "disk/by-id/ata-VBOX_HARDDISK_VB7ec09dfa-27e3ab44"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5b61cdfa-d065b4de", "disk/by-id/ata-VBOX_HARDDISK_VB5b61cdfa-d065b4de"], "free_space": 64971, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}]	{}
13	13	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaef8541b-d81c00a5", "disk/by-id/ata-VBOX_HARDDISK_VBaef8541b-d81c00a5"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 45597}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd5a4c71f-215ecaf0", "disk/by-id/ata-VBOX_HARDDISK_VBd5a4c71f-215ecaf0"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBc99477b8-83ab2495", "disk/by-id/ata-VBOX_HARDDISK_VBc99477b8-83ab2495"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
16	16	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBed04671f-e8591dcb", "disk/by-id/ata-VBOX_HARDDISK_VBed04671f-e8591dcb"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf4baf374-683d279d", "disk/by-id/ata-VBOX_HARDDISK_VBf4baf374-683d279d"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBed0d7fe2-4b42eed8", "disk/by-id/ata-VBOX_HARDDISK_VBed0d7fe2-4b42eed8"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 175347}], "type": "vg", "id": "image"}]	{}
17	17	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdfcc2520-f9392558", "disk/by-id/ata-VBOX_HARDDISK_VBdfcc2520-f9392558"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB424378ed-858577e0", "disk/by-id/ata-VBOX_HARDDISK_VB424378ed-858577e0"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1e682f0a-fa753ead", "disk/by-id/ata-VBOX_HARDDISK_VB1e682f0a-fa753ead"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 175347}], "type": "vg", "id": "vm"}]	{}
18	18	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB28f906d3-d5efe71e", "disk/by-id/ata-VBOX_HARDDISK_VB28f906d3-d5efe71e"], "free_space": 64843, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19438}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 45533}, {"vg": "mongo", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB4d53d0ee-ecfead6c", "disk/by-id/ata-VBOX_HARDDISK_VB4d53d0ee-ecfead6c"], "free_space": 64843, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 42172}, {"vg": "mongo", "type": "pv", "lvm_meta_size": 64, "size": 22799}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8fe97727-6016861d", "disk/by-id/ata-VBOX_HARDDISK_VB8fe97727-6016861d"], "free_space": 64843, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "mongo", "type": "pv", "lvm_meta_size": 64, "size": 64907}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4014}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}, {"_allocate_size": "all", "label": "MongoDB", "min_size": 10240, "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": 87578}], "type": "vg", "id": "mongo"}]	{}
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 18, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
37	10	eth3	08:00:27:05:c6:c6	100	100	\N	\N	unknown	\N
38	10	eth2	08:00:27:dc:73:21	100	100	\N	\N	unknown	\N
39	10	eth1	08:00:27:2f:6d:f7	100	100	\N	\N	unknown	\N
40	10	eth0	08:00:27:59:3b:e6	100	100	10.20.0.7	255.255.255.0	unknown	\N
36	9	eth0	08:00:27:38:58:36	100	100	10.20.0.6	255.255.255.0	unknown	\N
33	9	eth3	08:00:27:05:b1:97	100	100	\N	\N	unknown	\N
34	9	eth2	08:00:27:b6:ee:08	100	100	\N	\N	unknown	\N
35	9	eth1	08:00:27:29:cb:80	100	100	\N	\N	unknown	\N
41	11	eth3	08:00:27:e3:5e:dc	100	100	\N	\N	unknown	\N
42	11	eth2	08:00:27:e3:03:8d	100	100	\N	\N	unknown	\N
43	11	eth1	08:00:27:8e:9f:fd	100	100	\N	\N	unknown	\N
44	11	eth0	08:00:27:70:78:b7	100	100	10.20.0.178	255.255.255.0	unknown	\N
49	13	eth3	08:00:27:73:b7:8d	100	100	\N	\N	unknown	\N
50	13	eth2	08:00:27:4b:a7:39	100	100	\N	\N	unknown	\N
51	13	eth1	08:00:27:0b:f6:95	100	100	\N	\N	unknown	\N
52	13	eth0	08:00:27:c5:4e:65	100	100	10.20.0.173	255.255.255.0	unknown	\N
57	15	eth3	08:00:27:22:26:a7	100	100	\N	\N	unknown	\N
58	15	eth2	08:00:27:8c:21:46	100	100	\N	\N	unknown	\N
59	15	eth1	08:00:27:99:c5:5b	100	100	\N	\N	unknown	\N
60	15	eth0	08:00:27:b6:d2:d1	100	100	10.20.0.208	255.255.255.0	unknown	\N
53	14	eth3	08:00:27:5e:51:6d	100	100	\N	\N	unknown	\N
54	14	eth2	08:00:27:f2:c3:bb	100	100	\N	\N	unknown	\N
55	14	eth1	08:00:27:d2:86:2b	100	100	\N	\N	unknown	\N
56	14	eth0	08:00:27:b2:5b:10	100	100	10.20.0.161	255.255.255.0	unknown	\N
69	18	eth3	08:00:27:0b:d7:98	100	100	\N	\N	unknown	\N
70	18	eth2	08:00:27:05:10:93	100	100	\N	\N	unknown	\N
71	18	eth1	08:00:27:56:b9:61	100	100	\N	\N	unknown	\N
72	18	eth0	08:00:27:0c:8a:50	100	100	10.20.0.239	255.255.255.0	unknown	\N
65	17	eth3	08:00:27:06:d7:71	100	100	\N	\N	unknown	\N
66	17	eth2	08:00:27:c1:a8:f8	100	100	\N	\N	unknown	\N
67	17	eth1	08:00:27:1a:46:25	100	100	\N	\N	unknown	\N
68	17	eth0	08:00:27:89:e0:88	100	100	10.20.0.229	255.255.255.0	unknown	\N
61	16	eth3	08:00:27:3a:5b:c4	100	100	\N	\N	unknown	\N
62	16	eth2	08:00:27:4b:ee:af	100	100	\N	\N	unknown	\N
63	16	eth1	08:00:27:35:be:8a	100	100	\N	\N	unknown	\N
64	16	eth0	08:00:27:70:ee:ad	100	100	10.20.0.191	255.255.255.0	unknown	\N
45	12	eth3	08:00:27:7a:4a:eb	100	100	\N	\N	unknown	\N
46	12	eth2	08:00:27:f2:67:87	100	100	\N	\N	unknown	\N
47	12	eth1	08:00:27:42:32:fb	100	100	\N	\N	unknown	\N
48	12	eth0	08:00:27:da:63:b4	100	100	10.20.0.150	255.255.255.0	unknown	\N
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 72, true);


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
9	1	9
10	2	10
16	1	11
17	2	12
18	3	13
19	4	14
20	4	15
21	1	16
22	2	17
23	3	18
24	5	18
\.


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 24, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum) FROM stdin;
12	01d34107-700c-4a19-9991-58dc97fe5d43	4	Untitled (63:b4)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:7A:4A:EB", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:F2:67:87", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:42:32:FB", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.150", "netmask": "255.255.255.0", "mac": "08:00:27:DA:63:B4", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf7ab1e3e-f64c4df3", "disk/by-id/ata-VBOX_HARDDISK_VBf7ab1e3e-f64c4df3"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB11ce9df3-4162deb5", "disk/by-id/ata-VBOX_HARDDISK_VB11ce9df3-4162deb5"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB4c35a584-c028e174", "disk/by-id/ata-VBOX_HARDDISK_VB4c35a584-c028e174"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104553472}}	08:00:27:da:63:b4	10.20.0.150	node-12.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:15.315673	t	fd8f0c272d3d6c06928f1a2a3812cd9d8ff0448a
17	58c3b3cb-aae9-494c-bbf1-53ebbc1037ee	5	Untitled (e0:88)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:06:D7:71", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:C1:A8:F8", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:1A:46:25", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.229", "mac": "08:00:27:89:E0:88", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1e682f0a-fa753ead", "disk/by-id/ata-VBOX_HARDDISK_VB1e682f0a-fa753ead"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdc", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB424378ed-858577e0", "disk/by-id/ata-VBOX_HARDDISK_VB424378ed-858577e0"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdfcc2520-f9392558", "disk/by-id/ata-VBOX_HARDDISK_VBdfcc2520-f9392558"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104553472}}	08:00:27:89:e0:88	10.20.0.229	node-17.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:27.645936	t	1300dfe226eb24d6cd3af3a06a37d53ba9c9db01
16	3eb3c9b6-4951-454f-9421-7faeec0b283e	5	Untitled (ee:ad)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:3A:5B:C4", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:4B:EE:AF", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:35:BE:8A", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.191", "netmask": "255.255.255.0", "mac": "08:00:27:70:EE:AD", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBed0d7fe2-4b42eed8", "disk/by-id/ata-VBOX_HARDDISK_VBed0d7fe2-4b42eed8"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdc", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf4baf374-683d279d", "disk/by-id/ata-VBOX_HARDDISK_VBf4baf374-683d279d"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBed04671f-e8591dcb", "disk/by-id/ata-VBOX_HARDDISK_VBed04671f-e8591dcb"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1939}]}, "memory": {"total": 2104553472}}	08:00:27:70:ee:ad	10.20.0.191	node-16.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:23.528262	t	b4cd340c65b637f1e59befbfd7b27fef636ad61e
11	7285d300-8c04-4128-bee9-cab38aea3d7b	4	Untitled (78:b7)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:E3:5E:DC", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:E3:03:8D", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:8E:9F:FD", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.178", "netmask": "255.255.255.0", "mac": "08:00:27:70:78:B7", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5b61cdfa-d065b4de", "disk/by-id/ata-VBOX_HARDDISK_VB5b61cdfa-d065b4de"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdc", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB7ec09dfa-27e3ab44", "disk/by-id/ata-VBOX_HARDDISK_VB7ec09dfa-27e3ab44"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa3e6df3b-b1f26a7f", "disk/by-id/ata-VBOX_HARDDISK_VBa3e6df3b-b1f26a7f"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104553472}}	08:00:27:70:78:b7	10.20.0.178	node-11.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:06.142628	t	f61b1888c09ae65a1c11a9aa947bab7871cc6eea
14	f12fdf9d-2a0b-4a1b-ac1c-5754257d7b17	4	Untitled (5b:10)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:5E:51:6D", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:F2:C3:BB", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:D2:86:2B", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.161", "netmask": "255.255.255.0", "mac": "08:00:27:B2:5B:10", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB7f47534d-1770e6bc", "disk/by-id/ata-VBOX_HARDDISK_VB7f47534d-1770e6bc"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2ba1ff44-eb309287", "disk/by-id/ata-VBOX_HARDDISK_VB2ba1ff44-eb309287"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBc75b89e1-e017244b", "disk/by-id/ata-VBOX_HARDDISK_VBc75b89e1-e017244b"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1976}]}, "memory": {"total": 2104553472}}	08:00:27:b2:5b:10	10.20.0.161	node-14.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:08.652088	t	fd6e2116d855561c0d51081f6964528de38a8966
18	30a22b5f-316d-48ce-be5f-a623dc45a103	5	Untitled (8a:50)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:0B:D7:98", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:05:10:93", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:56:B9:61", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.239", "mac": "08:00:27:0C:8A:50", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8fe97727-6016861d", "disk/by-id/ata-VBOX_HARDDISK_VB8fe97727-6016861d"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdc", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB4d53d0ee-ecfead6c", "disk/by-id/ata-VBOX_HARDDISK_VB4d53d0ee-ecfead6c"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB28f906d3-d5efe71e", "disk/by-id/ata-VBOX_HARDDISK_VB28f906d3-d5efe71e"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1990}]}, "memory": {"total": 2104553472}}	08:00:27:0c:8a:50	10.20.0.239	node-18.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:04.575467	t	2989ab2476cd6359ffd2091de91736cd3c6848d2
13	dbda5194-4aba-441e-8756-99ab00fc39b7	4	Untitled (4e:65)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:73:B7:8D", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:4B:A7:39", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:0B:F6:95", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.173", "mac": "08:00:27:C5:4E:65", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBc99477b8-83ab2495", "disk/by-id/ata-VBOX_HARDDISK_VBc99477b8-83ab2495"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdc", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd5a4c71f-215ecaf0", "disk/by-id/ata-VBOX_HARDDISK_VBd5a4c71f-215ecaf0"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaef8541b-d81c00a5", "disk/by-id/ata-VBOX_HARDDISK_VBaef8541b-d81c00a5"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104553472}}	08:00:27:c5:4e:65	10.20.0.173	node-13.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:30.989277	t	17b6b7425f3952115a1699832cee7c2af3c89c79
10	60fa0583-fd54-4a06-8524-cf740be90fdb	3	Untitled (3b:e6)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-10", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:05:C6:C6", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:DC:73:21", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:2F:6D:F7", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.7", "mac": "08:00:27:59:3B:E6", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB044b845f-5ebec28a", "disk/by-id/ata-VBOX_HARDDISK_VB044b845f-5ebec28a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBeae401a5-331516b4", "disk/by-id/ata-VBOX_HARDDISK_VBeae401a5-331516b4"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB33fd2567-596fb0af", "disk/by-id/ata-VBOX_HARDDISK_VB33fd2567-596fb0af"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1990}]}, "memory": {"total": 1968631808}}	08:00:27:59:3b:e6	10.20.0.7	node-10.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:08.803202	t	b6bb676689a735537a9cd03e0ffc02c8efb7d0b8
15	498975ad-f52c-4636-93b4-4412165e68f3	4	Untitled (d2:d1)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:22:26:A7", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:8C:21:46", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:99:C5:5B", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.208", "mac": "08:00:27:B6:D2:D1", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1616e8ff-39db0e37", "disk/by-id/ata-VBOX_HARDDISK_VB1616e8ff-39db0e37"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0e26f903-c0894322", "disk/by-id/ata-VBOX_HARDDISK_VB0e26f903-c0894322"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB98821421-ba6f532d", "disk/by-id/ata-VBOX_HARDDISK_VB98821421-ba6f532d"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1987}]}, "memory": {"total": 2104553472}}	08:00:27:b6:d2:d1	10.20.0.208	node-15.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:07.133638	t	a24c919e0a456e5bb7e60793faf1a2dee34ca90a
9	777ee8c4-4c43-467b-9c25-928ce583c8d2	3	Untitled (58:36)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-9", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:05:B1:97", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth3"}, {"mac": "08:00:27:B6:EE:08", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:29:CB:80", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.6", "mac": "08:00:27:38:58:36", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB94d554f9-b3ad6729", "disk/by-id/ata-VBOX_HARDDISK_VB94d554f9-b3ad6729"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2f5a9ea9-3170b0b3", "disk/by-id/ata-VBOX_HARDDISK_VB2f5a9ea9-3170b0b3"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa6a2e09d-a4ac95dc", "disk/by-id/ata-VBOX_HARDDISK_VBa6a2e09d-a4ac95dc"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1990}]}, "memory": {"total": 1968631808}}	08:00:27:38:58:36	10.20.0.6	node-9.domain.tld	VirtualBox	\N	console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset	100	centos	f	f	\N	\N	2014-05-15 13:17:11.646692	t	1c8bb8dae0ed718bd33b7dd947f923a81d463ce8
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 18, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2014-05-15 08:48:13.567151
38	5	\N	\N	done	Deployment of environment 'test_centos_simple_vlan_untag_ceilometer_reset' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.3/	read	2014-05-15 11:31:58.46443
27	\N	12	\N	discover	Node 'Untitled (63:b4)' is back online	read	2014-05-15 10:04:33.989135
28	\N	11	\N	discover	Node 'Untitled (78:b7)' is back online	read	2014-05-15 10:05:35.357144
29	\N	13	\N	discover	Node 'Untitled (4e:65)' is back online	read	2014-05-15 10:05:44.706178
39	5	\N	\N	done	Environment 'test_centos_simple_vlan_untag_ceilometer_reset' was successfully reset	read	2014-05-15 12:30:58.227039
30	\N	14	\N	discover	Node 'Untitled (5b:10)' is back online	read	2014-05-15 10:05:53.225179
31	\N	15	\N	discover	Node 'Untitled (d2:d1)' is back online	read	2014-05-15 10:05:54.259961
16	\N	9	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:00:53.111167
17	\N	10	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:00:54.617129
10	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:00:16.503997
11	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:00:23.459301
12	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:00:23.808785
14	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:00:36.487748
15	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:00:38.375923
18	\N	\N	\N	done	Environment 'test_centos_simple_vlanseg_untag_ceph_stopprov' and all its nodes are deleted	read	2014-05-15 09:38:08.880456
40	\N	16	\N	error	Node 'Untitled (ee:ad)' has gone away	read	2014-05-15 12:33:25.324854
20	\N	11	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:42:41.499431
21	\N	12	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:42:45.760295
22	\N	13	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:42:53.45479
23	\N	14	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:43:03.552167
24	\N	15	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 09:43:07.646525
25	\N	\N	\N	done	Snapshot is ready. Visit Support page to download	read	2014-05-15 09:45:54.250274
26	4	\N	\N	done	Deployment of environment 'test_centos_simple_vlanseg_untag_ceph_stopprov' was successfully stopped	read	2014-05-15 10:00:53.385413
32	3	\N	\N	done	Deployment of environment 'test_centos_verify_networks' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.5/ or via internal network at http://10.20.0.6/	read	2014-05-15 10:11:14.524698
19	\N	\N	\N	done	Deployment of environment 'test_centos_simple_sahara' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.3/	read	2014-05-15 09:38:09.111413
2	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 08:52:00.203436
7	\N	\N	\N	error	Node 'Untitled (e0:88)' has gone away	read	2014-05-15 08:55:31.076575
13	\N	\N	\N	discover	Node 'Untitled (e0:88)' is back online	read	2014-05-15 09:00:29.77611
3	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 08:52:09.111303
5	\N	\N	\N	error	Node 'Untitled (ee:ad)' has gone away	read	2014-05-15 08:55:31.067943
9	\N	\N	\N	discover	Node 'Untitled (ee:ad)' is back online	read	2014-05-15 08:55:52.243904
4	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 08:52:18.632122
6	\N	\N	\N	error	Node 'Untitled (8a:50)' has gone away	read	2014-05-15 08:55:31.073204
8	\N	\N	\N	discover	Node 'Untitled (8a:50)' is back online	read	2014-05-15 08:55:39.013814
33	\N	\N	\N	done	Environment 'test_centos_simple_sahara' and all its nodes are deleted	read	2014-05-15 10:22:07.493139
34	\N	16	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 10:26:33.612848
35	\N	17	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 10:26:40.097964
36	\N	18	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-05-15 10:26:45.350397
37	4	\N	\N	done	Deployment of environment 'test_centos_simple_vlanseg_untag_ceph_stopprov' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.7/ or via internal network at http://10.20.0.8/	read	2014-05-15 10:57:46.643105
41	\N	17	\N	error	Node 'Untitled (e0:88)' has gone away	read	2014-05-15 12:33:25.441996
42	\N	18	\N	error	Node 'Untitled (8a:50)' has gone away	read	2014-05-15 12:33:55.531107
43	\N	18	\N	discover	Node 'Untitled (8a:50)' is back online	read	2014-05-15 12:34:39.785192
44	\N	17	\N	discover	Node 'Untitled (e0:88)' is back online	read	2014-05-15 12:34:42.616591
45	\N	16	\N	discover	Node 'Untitled (ee:ad)' is back online	read	2014-05-15 12:34:51.856984
46	4	\N	\N	done	Environment 'test_centos_simple_vlanseg_untag_ceph_stopprov' was successfully reset	read	2014-05-15 12:55:27.999397
47	\N	12	\N	error	Node 'Untitled (63:b4)' has gone away	read	2014-05-15 12:57:27.769012
48	\N	11	\N	error	Node 'Untitled (78:b7)' has gone away	read	2014-05-15 12:57:27.775429
49	\N	15	\N	error	Node 'Untitled (d2:d1)' has gone away	read	2014-05-15 12:57:27.780792
50	\N	14	\N	error	Node 'Untitled (5b:10)' has gone away	read	2014-05-15 12:57:27.786871
51	\N	13	\N	error	Node 'Untitled (4e:65)' has gone away	read	2014-05-15 12:58:27.894936
52	\N	12	\N	discover	Node 'Untitled (63:b4)' is back online	read	2014-05-15 12:59:36.441729
53	\N	11	\N	discover	Node 'Untitled (78:b7)' is back online	read	2014-05-15 12:59:38.663868
54	\N	13	\N	discover	Node 'Untitled (4e:65)' is back online	read	2014-05-15 12:59:48.92611
55	\N	15	\N	discover	Node 'Untitled (d2:d1)' is back online	read	2014-05-15 12:59:49.022587
56	\N	14	\N	discover	Node 'Untitled (5b:10)' is back online	read	2014-05-15 12:59:50.546799
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 56, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
3	10.0.0.0/16	4094	256	1	FlatDHCPManager
5	10.0.0.0/16	103	256	1	VlanManager
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 24, true);


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Data for Name: release_orchestrator_data; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_orchestrator_data (id, release_id, repo_metadata, puppet_manifests_source, puppet_modules_source) FROM stdin;
\.


--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_orchestrator_data_id_seq', 1, false);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Icehouse on CentOS 6.5	2014.1	This option will install the OpenStack Icehouse packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}, {"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "ephemeral_ceph": {"description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "images_ceph": {"description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "common": {"auto_assign_floating_ip": {"description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "conflicts": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vlan_splinters": {"vswitch": {"values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 55, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "weight": 50, "toggleable": true, "label": "VLAN Splinters"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller", "mongo"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": {"settings:additional_components.ceilometer.value": true}}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "ceph-osd": {"conflicts": ["mongo"], "name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
2	Icehouse on Ubuntu 12.04.4	2014.1	This option will install the OpenStack Icehouse packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}, {"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "ephemeral_ceph": {"description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "images_ceph": {"description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "conflicts": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "common": {"auto_assign_floating_ip": {"description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "conflicts": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller", "mongo"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": {"settings:additional_components.ceilometer.value": true}}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "ceph-osd": {"conflicts": ["mongo"], "name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	1	mongo
6	2	controller
7	2	compute
8	2	cinder
9	2	ceph-osd
10	2	mongo
\.


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 10, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
68	5	d7889e80-43c6-4a4c-bef1-51e18071d3d8	verify_networks		ready	100	{"args": {"task_uuid": "d7889e80-43c6-4a4c-bef1-51e18071d3d8", "nodes": [{"uid": 16, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0], "iface": "eth2"}, {"vlans": [0, 103], "iface": "eth3"}]}, {"uid": 17, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0], "iface": "eth2"}, {"vlans": [0, 103], "iface": "eth3"}]}, {"uid": 18, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0], "iface": "eth2"}, {"vlans": [0, 103], "iface": "eth3"}]}]}, "respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "02e7be20-c993-42cd-b35e-880043b67ba3", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "api_version": "1.0"}	[]	\N	1
35	3	587ca424-26b9-45c3-b3f1-ef7e49f296d6	deployment	Deployment of environment 'test_centos_verify_networks' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.5/ or via internal network at http://10.20.0.6/	ready	100	{"args": {"task_uuid": "587ca424-26b9-45c3-b3f1-ef7e49f296d6", "deployment_info": [{"management_interface": "eth0.4092", "use_cow_images": true, "uid": "9", "floating_interface": "eth1.4091", "storage_interface": "eth0.4093", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "qemu", "sahara": {"db_password": "y35N9Cbq", "user_password": "XJgUvCwS", "enabled": false}, "mysql": {"root_password": "goGWF82w"}, "glance": {"image_cache_max_size": "18386465587", "user_password": "p4wnfzhw", "db_password": "SQYxKgDS"}, "public_interface": "eth1.4091", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth1.4091": {"interface": "eth1.4091", "ipaddr": ["172.16.0.5/24"], "gateway": "172.16.0.1"}, "eth0.4093": {"interface": "eth0.4093", "ipaddr": ["192.168.1.4/24"]}, "eth0.4092": {"interface": "eth0.4092", "ipaddr": ["192.168.0.4/24"]}, "eth0.4094": {"interface": "eth0.4094", "ipaddr": "none"}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.6/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "2EfwJOuo"}, "keystone": {"admin_password": "GJYX2WUu"}, "database": {"passwd": "qWEPZKdR"}}, "openstack_version": "2014.1", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "swift": {"user_password": "5vOb1vF8"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "bGndypaL", "user_password": "cWTpmyfE", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "JWUnXmry", "user_password": "fKts2KB0", "enabled": false, "rabbit_password": "hHHL3Z8M"}, "role": "controller", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 50, "label": "VLAN Splinters"}}, "online": true, "keystone": {"db_password": "NARCCskP", "admin_token": "FwpNZDI3"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"weight": 20, "label": "vCenter"}}, "nova_quota": false, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "cinder": {"db_password": "nyd1oGWu", "user_password": "gXM1T7h6"}, "heat": {"db_password": "IeZLlBHA", "user_password": "affvAl6N", "enabled": true, "rabbit_password": "AbipyaG3"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "nestugrA"}, "ceilometer": {"db_password": "dr8ss7EK", "user_password": "9Ok5VupN", "metering_secret": "EtMU7Ha9", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"storage_netmask": "255.255.255.0", "uid": "9", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-9"}, {"storage_netmask": "255.255.255.0", "uid": "10", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-10"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/opt/vm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-9.domain.tld", "auto_assign_floating_ip": false, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth0.4094", "admin_interface": "eth0", "dns_nameservers": ["8.8.4.4", "8.8.8.8"], "debug": false, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3, "fuel_version": "5.0"}, {"management_interface": "eth0.4092", "use_cow_images": true, "uid": "10", "floating_interface": "eth1.4091", "storage_interface": "eth0.4093", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "qemu", "sahara": {"db_password": "y35N9Cbq", "user_password": "XJgUvCwS", "enabled": false}, "mysql": {"root_password": "goGWF82w"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "p4wnfzhw", "db_password": "SQYxKgDS"}, "public_interface": "eth1.4091", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth1.4091": {"interface": "eth1.4091", "ipaddr": ["172.16.0.6/24"], "gateway": "172.16.0.1"}, "eth0.4093": {"interface": "eth0.4093", "ipaddr": ["192.168.1.5/24"]}, "eth0.4092": {"interface": "eth0.4092", "ipaddr": ["192.168.0.5/24"]}, "eth0.4094": {"interface": "eth0.4094", "ipaddr": "none"}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.7/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "2EfwJOuo"}, "keystone": {"admin_password": "GJYX2WUu"}, "database": {"passwd": "qWEPZKdR"}}, "openstack_version": "2014.1", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "swift": {"user_password": "5vOb1vF8"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "bGndypaL", "user_password": "cWTpmyfE", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "JWUnXmry", "user_password": "fKts2KB0", "enabled": false, "rabbit_password": "hHHL3Z8M"}, "role": "compute", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 50, "label": "VLAN Splinters"}}, "online": true, "keystone": {"db_password": "NARCCskP", "admin_token": "FwpNZDI3"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"weight": 20, "label": "vCenter"}}, "nova_quota": false, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "cinder": {"db_password": "nyd1oGWu", "user_password": "gXM1T7h6"}, "heat": {"db_password": "IeZLlBHA", "user_password": "affvAl6N", "enabled": true, "rabbit_password": "AbipyaG3"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "nestugrA"}, "ceilometer": {"db_password": "dr8ss7EK", "user_password": "9Ok5VupN", "metering_secret": "EtMU7Ha9", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"storage_netmask": "255.255.255.0", "uid": "9", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-9"}, {"storage_netmask": "255.255.255.0", "uid": "10", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-10"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/opt/vm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-10.domain.tld", "auto_assign_floating_ip": false, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth0.4094", "admin_interface": "eth0", "dns_nameservers": ["8.8.4.4", "8.8.8.8"], "debug": false, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3, "fuel_version": "5.0"}]}, "respond_to": "deploy_resp", "method": "deploy", "api_version": "1.0"}	{}	31	1
31	3	1a28ac57-f22d-4d13-be72-d2537aa58c45	deploy	Deployment of environment 'test_centos_verify_networks' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.5/ or via internal network at http://10.20.0.6/	ready	100	{}	{}	\N	1
55	3	95f0edba-c332-4391-b019-0033ddce1aa1	check_dhcp		ready	0	{}	{}	54	1
69	5	02e7be20-c993-42cd-b35e-880043b67ba3	check_dhcp		ready	0	{}	{}	68	1
70	4	64cbfb79-eaf1-4c0a-8d1b-b00858bf0a4a	verify_networks		ready	100	{"args": {"task_uuid": "64cbfb79-eaf1-4c0a-8d1b-b00858bf0a4a", "nodes": [{"uid": 11, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0, 1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}]}, {"uid": 12, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0, 1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}]}, {"uid": 13, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0, 1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}]}, {"uid": 14, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0, 1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}]}, {"uid": 15, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [0, 1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}]}]}, "respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "9b3af241-5757-4855-be3d-f1e4502a4502", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "api_version": "1.0"}	[]	\N	1
71	4	9b3af241-5757-4855-be3d-f1e4502a4502	check_dhcp		ready	0	{}	{}	70	1
74	\N	d8a4647f-a6a3-4101-aaa1-9e7ed16ed6cb	dump	\N	running	0	{"args": {"task_uuid": "d8a4647f-a6a3-4101-aaa1-9e7ed16ed6cb", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log/fuelmenu.log", "type": "file"}, {"path": "/var/log/docker-logs", "type": "dir"}, {"path": "/var/log/docker-*.log", "type": "file"}, {"path": "/var/log/puppet/bootstrap_admin_node.log", "type": "file"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "10.20.0.2"}]}, "local": {"objects": [{"path": "/var/log/nailgun", "type": "dir"}, {"path": "/var/log/astute", "type": "dir"}, {"path": "/var/log/cobbler", "type": "dir"}, {"path": "/var/log/puppet", "type": "dir"}, {"path": "/var/log/remote", "type": "subs", "subs": {}}, {"path": "/var/log/ostf.log", "type": "file"}, {"path": "/var/log/ostf-stdout.log", "type": "file"}, {"path": "/var/log/docker", "type": "file"}, {"username": "nailgun", "dbhost": "10.20.0.2", "password": "nailgun", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.20.0.2:80/cobbler_api"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "localhost"}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "node-10.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-9.domain.tld"}]}}}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1.0"}	{}	\N	1
34	3	994992cb-0309-46b2-adf6-6cb5d65ff3cf	provision	\N	ready	100	{"args": {"task_uuid": "994992cb-0309-46b2-adf6-6cb5d65ff3cf", "provisioning_info": {"engine": {"url": "http://10.20.0.2:80/cobbler_api", "username": "cobbler", "password": "cobbler", "master_ip": "10.20.0.2"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "9", "interfaces": {"eth3": {"static": "0", "mac_address": "08:00:27:05:b1:97"}, "eth2": {"static": "0", "mac_address": "08:00:27:b6:ee:08"}, "eth1": {"static": "0", "mac_address": "08:00:27:29:cb:80"}, "eth0": {"ip_address": "10.20.0.6", "dns_name": "node-9.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:38:58:36"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:38:58:36_eth0,08:00:27:29:cb:80_eth1,08:00:27:b6:ee:08_eth2,08:00:27:05:b1:97_eth3", "netcfg/choose_interface": "08:00:27:38:58:36"}, "power_address": "10.20.0.175", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.0", "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa6a2e09d-a4ac95dc", "disk/by-id/ata-VBOX_HARDDISK_VBa6a2e09d-a4ac95dc"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 19438, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 45597, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2f5a9ea9-3170b0b3", "disk/by-id/ata-VBOX_HARDDISK_VB2f5a9ea9-3170b0b3"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB94d554f9-b3ad6729", "disk/by-id/ata-VBOX_HARDDISK_VB94d554f9-b3ad6729"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 4014, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 175347, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}]}, "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-9", "hostname": "node-9.domain.tld", "slave_name": "node-9", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "10", "interfaces": {"eth3": {"static": "0", "mac_address": "08:00:27:05:c6:c6"}, "eth2": {"static": "0", "mac_address": "08:00:27:dc:73:21"}, "eth1": {"static": "0", "mac_address": "08:00:27:2f:6d:f7"}, "eth0": {"ip_address": "10.20.0.7", "dns_name": "node-10.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:59:3b:e6"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:59:3b:e6_eth0,08:00:27:2f:6d:f7_eth1,08:00:27:dc:73:21_eth2,08:00:27:05:c6:c6_eth3", "netcfg/choose_interface": "08:00:27:59:3b:e6"}, "power_address": "10.20.0.202", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.0", "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB33fd2567-596fb0af", "disk/by-id/ata-VBOX_HARDDISK_VB33fd2567-596fb0af"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 19438, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 45597, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBeae401a5-331516b4", "disk/by-id/ata-VBOX_HARDDISK_VBeae401a5-331516b4"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB044b845f-5ebec28a", "disk/by-id/ata-VBOX_HARDDISK_VB044b845f-5ebec28a"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19374, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 4014, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 175347, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-10", "hostname": "node-10.domain.tld", "slave_name": "node-10", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}, "respond_to": "provision_resp", "method": "provision", "api_version": "1.0"}	{}	31	0.400000000000000022
54	3	c7573f25-04d8-4073-be1b-28967c82c5d4	verify_networks		ready	100	{"args": {"task_uuid": "c7573f25-04d8-4073-be1b-28967c82c5d4", "nodes": [{"uid": 9, "networks": [{"vlans": [0, 4092, 4093, 4094], "iface": "eth0"}, {"vlans": [4091], "iface": "eth1"}]}, {"uid": 10, "networks": [{"vlans": [0, 4092, 4093, 4094], "iface": "eth0"}, {"vlans": [4091], "iface": "eth1"}]}]}, "respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "95f0edba-c332-4391-b019-0033ddce1aa1", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "api_version": "1.0"}	[]	\N	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 74, true);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: release_orchestrator_data_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_release_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_release_id_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: release_orchestrator_data_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

